Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.list
Class MappedListBox.Item

    java.lang.Object
      com.tonbeller.wcf.list.MappedListBox.Item

Enclosing class:
  MappedListBox

public static class MappedListBox.Item
extends java.lang.Object

listbox entry

Constructor Summary
`MappedListBox.Item(java.lang.String label, java.lang.Object value)`

Method Summary
`org.w3c.dom.Element` | `getElement()` Returns the element.
`java.lang.String` | `getId()` Returns the id.
`java.lang.String` | `getLabel()` Returns the label.
`java.lang.Object` | `getValue()` Returns the value.
`boolean` | `isSelected()` Returns the selected.
`void` | `setElement(org.w3c.dom.Element element)` Sets the element.
`void` | `setId(java.lang.String id)` Sets the id.
`void` | `setLabel(java.lang.String label)` Sets the label.
`void` | `setSelected(boolean selected)` Sets the selected.
`void` | `setValue(java.lang.Object value)` Sets the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedListBox.Item

    public MappedListBox.Item(java.lang.String label,
                              java.lang.Object value)

Method Detail

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Returns:
    String

### getValue

    public java.lang.Object getValue()

  Returns the value.

  Returns:
    Object

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

  Parameters:
    `label` - The label to set

### setValue

    public void setValue(java.lang.Object value)

  Sets the value.

  Parameters:
    `value` - The value to set

### getId

    public java.lang.String getId()

  Returns the id.

  Returns:
    String

### setId

    public void setId(java.lang.String id)

  Sets the id.

  Parameters:
    `id` - The id to set

### isSelected

    public boolean isSelected()

  Returns the selected.

  Returns:
    boolean

### setSelected

    public void setSelected(boolean selected)

  Sets the selected.

  Parameters:
    `selected` - The selected to set

### getElement

    public org.w3c.dom.Element getElement()

  Returns the element.

  Returns:
    Element

### setElement

    public void setElement(org.w3c.dom.Element element)

  Sets the element.

  Parameters:
    `element` - The element to set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD